Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class GetPropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.content.servlets.jsp.taglib.BaseTag
                  |
                  +--com.bea.p13n.content.servlets.jsp.taglib.GetPropertyTag

Direct Known Subclasses:
  PrintPropertyTag

public class GetPropertyTag
extends BaseTag

Tag to retrieve or print a property of a ConfigurableEntity.

Since:
  2.0
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `dateFormat` The date format to use.
`protected java.lang.String` | `defValue` The default value to print if the property is not found.
`protected java.lang.String` | `encodeType` The encode type.
`protected ConfigurableEntity` | `entity` The document to use.
`protected int` | `maxLength` The max length to print.
`protected java.lang.String` | `name` The name of the property to print.
`protected java.lang.String` | `numFormat` The number format to use.
`protected java.lang.String` | `resultId` The id of the script variable to put the result into.
`protected java.lang.String` | `resultType` The type of the property.
`protected java.lang.String` | `scope` The property set name of the property to print.

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, readOnly, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetPropertyTag()`

Method Summary
`int` | `doStartTag()` Start the tag.
`java.lang.String` | `encode(java.lang.String in)` Encode a string with the current encodeType.
`static java.lang.String` | `encode(java.lang.String encodeType, java.lang.String in)` Encode a string according to the specified encodeType.
`java.lang.String` | `getDateFormat()` Get the date format to use.
`java.lang.String` | `getDefault()` Get the default value.
`java.lang.String` | `getEncode()` Get the value of `encodeType`.
`java.lang.String` | `getMaxLength()` Get the value of `maxLength` as a String.
`java.lang.String` | `getName()` Get the value of `name`.
`java.lang.String` | `getNumFormat()` Get the number format to use.
`java.lang.String` | `getResultId()` Get the `resultId`.
`java.lang.String` | `getResultType()` Get the `resultType`.
`java.lang.String` | `getScope()` Get the value of `scope`.
`void` | `release()` Release the tag.
`void` | `setDateFormat(java.lang.String s)` Set the date format to use.
`void` | `setDefault(java.lang.String v)` Set the default value.
`void` | `setEncode(java.lang.String v)` Set the value of `encodeType`.
`void` | `setEntity(ConfigurableEntity entity)` Set the `entity` to use.
`void` | `setMaxLength(int length)` Set the value of `maxLength`.
`void` | `setMaxLength(java.lang.String v)` Set the value of `maxLength`.
`void` | `setName(java.lang.String v)` Set the value of `name`.
`void` | `setNumFormat(java.lang.String s)` Set the number format to use.
`void` | `setResultId(java.lang.String resultId)` Set the `resultId`.
`void` | `setResultType(java.lang.String resultType)` Set the `resultType`.
`void` | `setScope(java.lang.String v)` Set the value of `scope`.
`java.lang.String` | `toString(java.util.Date d)` Convert a date to our date format.
`java.lang.String` | `toString(java.lang.Number n)` Convert a number to our date format.
`java.lang.String` | `toString(java.lang.Object obj)` Convert an object property value to a string with our current formatting.

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getReadOnly, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setReadOnly, setReadOnly, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entity

    protected ConfigurableEntity entity

  The document to use.

### name

    protected java.lang.String name

  The name of the property to print.

### scope

    protected java.lang.String scope

  The property set name of the property to print.

### resultId

    protected java.lang.String resultId

  The id of the script variable to put the result into.

### resultType

    protected java.lang.String resultType

  The type of the property.

### defValue

    protected java.lang.String defValue

  The default value to print if the property is not found.

### encodeType

    protected java.lang.String encodeType

  The encode type.

### maxLength

    protected int maxLength

  The max length to print.

### dateFormat

    protected java.lang.String dateFormat

  The date format to use.

### numFormat

    protected java.lang.String numFormat

  The number format to use.

Constructor Detail

### GetPropertyTag

    public GetPropertyTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Start the tag.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Release the tag.

  Overrides:
    release in class BaseTag

### setEntity

    public void setEntity(ConfigurableEntity entity)

  Set the `entity` to use.

### getResultId

    public java.lang.String getResultId()

  Get the `resultId`.

### setResultId

    public void setResultId(java.lang.String resultId)

  Set the `resultId`.

### getResultType

    public java.lang.String getResultType()

  Get the `resultType`.

### setResultType

    public void setResultType(java.lang.String resultType)

  Set the `resultType`.

### getName

    public java.lang.String getName()

  Get the value of `name`.

### setName

    public void setName(java.lang.String v)

  Set the value of `name`.

### getScope

    public java.lang.String getScope()

  Get the value of `scope`.

### setScope

    public void setScope(java.lang.String v)

  Set the value of `scope`.

### getDefault

    public java.lang.String getDefault()

  Get the default value.

### setDefault

    public void setDefault(java.lang.String v)

  Set the default value.

### getEncode

    public java.lang.String getEncode()

  Get the value of `encodeType`.

### setEncode

    public void setEncode(java.lang.String v)

  Set the value of `encodeType`.

### getMaxLength

    public java.lang.String getMaxLength()

  Get the value of `maxLength` as a String.

### setMaxLength

    public void setMaxLength(java.lang.String v)

  Set the value of `maxLength`.

### setMaxLength

    public void setMaxLength(int length)

  Set the value of `maxLength`.

### getDateFormat

    public java.lang.String getDateFormat()

  Get the date format to use.

### setDateFormat

    public void setDateFormat(java.lang.String s)

  Set the date format to use.

### getNumFormat

    public java.lang.String getNumFormat()

  Get the number format to use.

### setNumFormat

    public void setNumFormat(java.lang.String s)

  Set the number format to use.

### toString

    public java.lang.String toString(java.lang.Object obj)
                              throws javax.servlet.jsp.JspException

  Convert an object property value to a string with our current formatting.

  Throws:
    javax.servlet.jsp.JspException - thrown on conversion failure when failOnError is true.
  See Also:
    `getDefault()`, `toString(java.util.Date)`, `toString(java.lang.Number)`

### toString

    public java.lang.String toString(java.util.Date d)
                              throws javax.servlet.jsp.JspException

  Convert a date to our date format.

  Throws:
    javax.servlet.jsp.JspException - thrown on conversion failure when failOnError is true.

### toString

    public java.lang.String toString(java.lang.Number n)
                              throws javax.servlet.jsp.JspException

  Convert a number to our date format.

  Throws:
    javax.servlet.jsp.JspException - thrown on conversion failure when failOnError is true.

### encode

    public java.lang.String encode(java.lang.String in)

  Encode a string with the current encodeType.

### encode

    public static java.lang.String encode(java.lang.String encodeType,
                                          java.lang.String in)

  Encode a string according to the specified encodeType.

  Parameters:
    `encodeType` - "html", "url", or anything else for no encoding.
    `in` - the string
  Returns:
    the encoded string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved